DynamicJava Javadoc: Class PrimitiveType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class PrimitiveType

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Type
                  |
                  +--koala.dynamicjava.tree.PrimitiveType

Direct Known Subclasses:
  BooleanType, ByteType, CharType, DoubleType, FloatType, IntType, LongType, ShortType, VoidType

public abstract class PrimitiveType
extends Type

This class represents the primitive type nodes of the syntax tree

Field Summary
`static java.lang.String` | `VALUE` The value property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`protected` | `PrimitiveType(java.lang.Class val, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the type

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.lang.Class` | `getValue()` Returns the value of this node
`void` | `setValue(java.lang.Class c)` Sets the value of this node

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE

    public static final java.lang.String VALUE

  The value property name

Constructor Detail

### PrimitiveType

    protected PrimitiveType(java.lang.Class val,
                            java.lang.String fn,
                            int bl,
                            int bc,
                            int el,
                            int ec)

  Initializes the type
  Parameters:
    `val` - the value of this type
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if val is null

Method Detail

### getValue

    public java.lang.Class getValue()

  Returns the value of this node

### setValue

    public void setValue(java.lang.Class c)

  Sets the value of this node
  Throws:
    `java.lang.IllegalArgumentException` - if c is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.